export function commonsAiObjectTop(object, top) {
    if (top < 1)
        throw new Error('Top is out of range');
    const scored = [];
    for (const e of Object.keys(object)) {
        scored.push({ e: e, score: object[e] });
    }
    scored
        .sort((a, b) => {
        if (a.score < b.score)
            return -1;
        if (a.score > b.score)
            return 1;
        return 0;
    });
    while (scored.length > top)
        scored.shift();
    const tops = {};
    for (const s of scored)
        tops[s.e] = s.score;
    return tops;
}
export function commonsAiObjectBest(object) {
    const top = commonsAiObjectTop(object, 1);
    if (Object.keys(top).length === 0)
        return undefined;
    return Object.keys(top)[0];
}
//# sourceMappingURL=commons-ai-object.js.map